Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066760 - Cannot select encoding when file model execute preview data
Summary: Cannot select encoding when file model execute preview data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 04:44 UTC by Eiichi Nagai
Modified: 2018-12-05 17:21 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Users could select file encoding when creating file models using the Import function. However, this did not effect preview data function and actual VDB. To fix this issue, a change has been made so that preview VDBs now contain TOPs if they are defined in a source model. As a result, encoding changes now apply to preview data and the VDB itself.
Clone Of:
Environment:
Last Closed: 2015-11-17 18:06:07 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2060 Blocker Closed Cannot select encoding when file model execute preview data 2014-08-19 14:05:14 UTC

Description Eiichi Nagai 2014-02-19 04:44:20 UTC
Description of problem:
Teiid designer can select file encoding when create file model using import function. However, it does not effect preview data function and actual VDB.
Actual VDB can set encoding by overriding file translator property. However, VDB for preview data function is created by automatically in teiid designer, so we cannot set encoding.

Version-Release number of selected component (if applicable):
JDV 6.0.0
JBDS 7.1.0
Teiid deginer 8.3.1

Expected results:
Can set encoding in preview VDB of file model.

Comment 2 JBoss JIRA Server 2014-04-09 16:55:37 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2060 to Resolved

Comment 3 JBoss JIRA Server 2014-06-20 12:15:07 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2060 to Closed

Comment 4 Andrej Smigala 2015-01-09 15:48:23 UTC
Preview now works with the proper translator override set on the source model.

However, the File Encoding translator override is not set on the source model when importing from flat file CP and has to be set manually. I logged this a separate bz: 1180641


Note You need to log in before you can comment on or make changes to this bug.